// nav
@import "../../mixins/mixin";

 .bgcolor{
  background-color: $color-bg;
  // position: sticky !important;
  top: 0px !important;
  height: 75px !important;
  }
  .bgTransparent{
    background-color: transparent;
  }
 nav {
  position: fixed;
  background-color: $color-bg;
  top: 0;
  z-index: 99;
  height: 100px;
  .container_main {
    width: 100%;
    .container{
      height: 100%;
    }
    .main_row {
      width: 100%;
      height: 100%;
      display: flex;
      // height: 100px;
      // color: red !important;
      .menu{
        // background-color: red;
        li{
          // width: 100%;
          height: 100%;
          display: flex;
          #fullstack-development{
            display: none;
            position: absolute;
            background-color: $color-bg;
            // background-image: url("https://ik.imagekit.io/wavizkushinagar/jschamps/banner-bg.png?ik-sdk-version=javascript-1.4.3&updatedAt=1660988564057");
            // background-size: cover;
            // height: 100vh;
            top: 74px;
            // width: 100%;
            // left: 0;
            li{
              height: unset;
              display: flex;
              justify-content: center;
              align-items: center;
            }
          }
          a{
            height: 100%;
            display: flex;
            align-items: center;
            line-height: 3;
          }
        }
      }
      .menu .f-d:hover{
        #fullstack-development{
          display: block;
          color: white;
        }
      }
      .menu .servic-menu{
        position: absolute;
        background-color:$color-bg;
        // height: 100vh;
        top: 74px;
        // width: 100%;
        right: 0;
        display: none;
        li{
          display: flex;
          flex-direction: column;
        }
      }
      .menu .service-l:hover{
        .servic-menu{
          display: block;
        }
      }
      .menu li #submenu{
        display: flex !important;
        justify-content: space-evenly !important;
      }
      .menu #submenu li{
        list-style: none;
      }
      .menu #submenu li a{
        padding: 0 0;
        text-decoration: none;
      }
      #submenutwo{
        display: flex !important;
        flex-direction: column !important;
      }
      #submenutwo li a{
        padding: 0 0;
        display: flex;
        justify-content: left;
        line-height: 3;
      }
      
      .logo_img {
        width: 300px;
        margin: auto 0;
        transition: 0.5s;
        @include for-LargePhone{
          width: 35%;
        }        
      }
    }
    
  }

  // .hamburger

  .hamburger {
    display: block;
    position: relative;
    z-index: 9;
    user-select: none;
    appearance: none;
    border: none;
    outline: none;
    background: none;
    cursor: pointer;
    margin-right: 10px;
    margin-left: auto;
    padding: 10px 0px;
     span {
      display: block;
      width: 33px;
      height: 4px;
      margin-bottom: 5px;
      position: relative;
      background-color: $color-white;
      border-radius: 6px;
      z-index: 1;
      transform-origin: 0 0;
      transition: 0.4s;
    }
  }
  .hamburger:hover span:nth-child(2) {
    transform: translateX(10px);
    background-color: $color-white;
  }
  .hamburger.is_active {
    position: fixed;
    right: 0;
  }
  .hamburger.is_active span:nth-child(1) {
    transform: translate(0px, -2px) rotate(45deg);
  }
  .hamburger.is_active span:nth-child(3) {
    transform: translate(-3px, 3px) rotate(-45deg);
  }
  .hamburger.is_active span:nth-child(2) {
    opacity: 0;
    transform: translate(15px);
  }
  .hamburger.is_active span {
    background-color: $color-white;
  }

  // menu
  .menu {
    flex: 1 1 0%;
    justify-content: flex-end;
    margin-left: auto;
    width: 70%;
    display: flex;
    align-items: center;
    @include for-tablet{
      display: none;
    }
    a {
      color: $color-white;
      // margin: 0 16px;
      margin-left: 3px;
      font-weight: 600;
      transition: 0.4s;
      padding: 0 20px;
      // background-color: $color-white;
      text-decoration: none;
      font-size: 14px;
      text-transform: uppercase;
      @include for-desktop{
        padding:0 25px;
      }
    }
    a:hover {
      color: $color-yellow;
    }
    .menu_active {
      color: $color-yellow;
      transition: .3 ease color;
    }
  }
}

.overlay {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 4;
  top: 0;
  left: 0;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.9);
  overflow-x: hidden;
  transition: 0.5s;
  .overlay-content {
    position: relative;
    top: 25%;
    width: 100%;
    text-align: left;
    margin-top: 30px;
    margin-left: 10px;
    a {
      padding: 8px;
      text-decoration: none;
      font-size: 25px;
      color: $color-white;
      display: block;
      transition: 0.3s;
      @include smallPhone{
        font-size: 20px;
      }
      &:hover , &:focus{
        color: #f1f1f1;
      }
    }
  }
}
.overlay .closebtn {
  position: absolute;
  top: 20px;
  right: 45px;
  font-size: 60px;
  @include smallPhone{
    font-size: 40px;
    top: 15px;
    right: 35px;
  }
}

.banner {
  background-image: url("https://ik.imagekit.io/wavizkushinagar/jschamps/banner-bg.png?ik-sdk-version=javascript-1.4.3&updatedAt=1660988564057");
  background-repeat: no-repeat;
  width: 100%;
  position: relative;
  background-size: cover;
  background-position: center;
  .banner-content{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    // h3{
    //   font-size: 45px;
    //   font-family: 'Monoton', cursive;
    //   margin-top: 115px;
    //   color: $color-yellow;
    //   width: 75%;
    //   padding-left: 17%;
    //   &:nth-child(2){
    //     margin-top: 0;
    //     text-align: end;
    //   }
    //  }
    .fullstack {
      width: 75%;
      border: 5px solid $color-white;
      margin: auto;
      border-radius: 50px;
      margin-top: 100px;
      background-color: $color-yellow;
      
      
      @include for-LargePhone{
        margin-top:125px;
        width: 85%;
      }
     
      h1 {
        color: $color-white;
        font-size: 45px;
        letter-spacing: 1.5px;
        // font-family: 'Monoton', cursive;
        // font-family: 'Rubik Distressed', cursive;
        font-family: 'Rubik Dirt', cursive;
        // font-family: 'Rubik Marker Hatch', cursive;
        // font-family: 'Alumni Sans Inline One', cursive;
        @include for-tablet{
          font-size: 30px;
        }
        @include for-LargePhone{
          font-size:18px;
        }
        @include smallPhone{
          font-size: 23px;
        }
      }
  
    }
    .banner_text {
      width: 75%;
      align-items: center;
      justify-content: center;
      display: flex;
      flex-direction: column;
      @include for-LargePhone{
        width: 85%;
      }
       p {
        font-size: 30px;
        color: $color-white;
        text-align: center;
        padding: 5px;
        margin-top: 10px;
        background-color: $color-text-bg;
        @include for-tablet{
          font-size: 26px;
        }
        @include for-LargePhone{
          font-size: 16px;
        }
      }
      .icon {
        margin-top: 40px;
        @include for-LargePhone{
          width: 60px;
          height: 60px;
        }
      }
      .btn_banner {
        // @include for-LargePhone{
        //   margin-left:70px;
        // }
        button {
          border-radius: 10px;
          border: 1px solid $color-white;
          color: $color-white;
          font-size: 20px;
          font-weight: bold;
        }
      }
      .banner_pc{
          width: 500px;
          height: 250px;
          margin-top:50px;
          overflow: hidden;
          @include for-LargePhone{
            width: 85%;
          margin-top: 20px;
          height: 130px;
          }
        }
    }
  }
}

// @media screen and (max-width:"320px"){

//   .banner_text {
//     p{
//       font-size: 15px;
//     }
//     width:315px;
//     .icon {
//       margin-left: 110px;
//       width: 50px;
//       height: 50px;
//     }
//     .btn_banner {
//       margin-left:60px;
//     }
//     .banner_pc{
//       width:0px;
//       margin-top: 20px;
//       height: 100px;
//     }
//   }
// }

